POST
/
v1
/
image
/
edit
curl --request POST \
  --url https://geoff.ai/api/v1/image/edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "prompt": "Convert to watercolor painting style",
    "image_url": "https://example.com/photo.jpg",
    "model": "magma"
  }'
{
  "data": {
    "images": [
      {
        "url": "https://geoff.ai/api/v1/files/img_xyz/content",
        "width": 1024,
        "height": 1024
      }
    ]
  },
  "trace_id": "04ede0ab069fb1ba8be5156a24b1e081"
}

Authorization

Authorization
string
required
Bearer token. Bearer API_key, can be found in Settings > API Keys.

Request Body

prompt
string
required
Text description of the desired transformation.
image_url
string
required
URL of the source image to transform. Provide either image_url or file_id.
file_id
string
File ID of a previously uploaded image.
model
enum
default:"magma"
Model to use. Default: magma.
curl --request POST \
  --url https://geoff.ai/api/v1/image/edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "prompt": "Convert to watercolor painting style",
    "image_url": "https://example.com/photo.jpg",
    "model": "magma"
  }'
{
  "data": {
    "images": [
      {
        "url": "https://geoff.ai/api/v1/files/img_xyz/content",
        "width": 1024,
        "height": 1024
      }
    ]
  },
  "trace_id": "04ede0ab069fb1ba8be5156a24b1e081"
}